## org.hibernate.property
Interface PropertyAccessor

All Known Implementing Classes:
  BackrefPropertyAccessor, BasicPropertyAccessor, ChainedPropertyAccessor, DirectPropertyAccessor, Dom4jAccessor, EmbeddedPropertyAccessor, IndexPropertyAccessor, MapAccessor, NoopAccessor

    public interface PropertyAccessor

Abstracts the notion of a "property". Defines a strategy for accessing the value of an attribute.

Author:
  Gavin King

Method Summary
`Getter` `getGetter(Class theClass, String propertyName)` Create a "getter" for the named attribute
`Setter` `getSetter(Class theClass, String propertyName)` Create a "setter" for the named attribute

Method Detail

### getGetter

    Getter getGetter(Class theClass,
                     String propertyName)
                     throws PropertyNotFoundException

  Create a "getter" for the named attribute

  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate getter.
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

### getSetter

    Setter getSetter(Class theClass,
                     String propertyName)
                     throws PropertyNotFoundException

  Create a "setter" for the named attribute

  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate setter
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.